Skip to main content
GET
/
subscriptions
/
cp
/
api
/
subscription-payment-infos
/
{contractId}
Get subscription payment info for a contract
curl --request GET \
  --url https://www.myshop.com/apps/subscriptions/cp/api/subscription-payment-infos/{contractId}
{
  "id": 123,
  "shop": "<string>",
  "contractId": 123,
  "paymentMethodId": "<string>",
  "instrumentType": "<string>",
  "cardLastDigits": "<string>",
  "cardExpiryMonth": 123,
  "cardExpiryYear": 123,
  "cardHolderName": "<string>",
  "cardBrand": "<string>",
  "cardExpiresSoon": true,
  "cardSource": "<string>",
  "baAddress1": "<string>",
  "baCity": "<string>",
  "baCountry": "<string>",
  "baCountryCode": "<string>",
  "baProvince": "<string>",
  "baProvinceCode": "<string>",
  "baZip": "<string>",
  "baFirstName": "<string>",
  "baLastName": "<string>",
  "baName": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developers.appstle.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

contractId
integer<int64>
required

Response

200 - */*

OK

id
integer<int64>
shop
string
contractId
integer<int64>
paymentMethodId
string
instrumentType
string
cardLastDigits
string
cardExpiryMonth
integer<int32>
cardExpiryYear
integer<int32>
cardHolderName
string
cardBrand
string
cardExpiresSoon
boolean
cardSource
string
baAddress1
string
baCity
string
baCountry
string
baCountryCode
string
baProvince
string
baProvinceCode
string
baZip
string
baFirstName
string
baLastName
string
baName
string